<?php

/*
 * AfterLogic Admin Panel by AfterLogic Corp. <support@afterlogic.com>
 *
 * Copyright (C) 2002-2009  AfterLogic Corp. (www.afterlogic.com)
 * Distributed under the terms of the license described in LICENSE.txt
 * 
 */

	define('AP_FOLDER', '.');
	
	define('AP_CRLF', "\r\n");
	define('AP_HTML_BR', '<br />');
	define('AP_TAB', "\t");
	define('AP_TEST_P', 'licensekey');
	
	define('AP_INDEX_FILE_TEMP', 'index.php');
	
	define('AP_FILE', 'index.php');
	define('AP_CFG_FILE', '_config_path.php');
	define('AP_XML_CFG_FILE', 'adminpanel.xml');
	
	define('AP_LOG_FILE', '_admin_panel.log');
	
	define('AP_XML_CFG_SESS', 'paxmlsesscfg');
	define('AP_XML_CFG_SESS_TIME', 'paxmlsesscfgtime');
	
	define('AP_VERSION', '4.4.4');
	
	define('AP_MEMORYLIMIT', '50M');
	define('AP_TIMELIMIT', '60');
	
	define('AP_TYPE_WEBMAIL', 'wm');
	define('AP_TYPE_XMAIL', 'xm');
	define('AP_TYPE_XMAIL_CUSTOM', 'xmc');
	
	define ('AP_P', 2);
	define ('AP_L', 3);
	
	define('AP_TYPE_DELIMITER', '_');
	define('AP_UIDS_DELIMITER', ':');
	
	define('AP_DUMMYPASSWORD', '**********');
	
	define('AP_SESS_INDEXFILE', 'apsessindexfile');
	define('AP_SESS_TAB', 'apsesstab');
	define('AP_SESS_MODE', 'apsessmode');
	define('AP_SESS_PAGE', 'apsesspage');
	define('AP_SESS_FILTER', 'apsessfilter');
	
	define('AP_SESS_INSTALL', 'apsessinstall');
	
	define('AP_SESS_COLUMN', 'apsesscolumn');
	define('AP_SESS_ORDER', 'apsessorder');
	
	define('AP_SESS_AUTH', 'apsessauth');
	
	define('AP_SESS_SEARCHDESC', 'apsesssearchdesc');
	
	define('AP_SESS_ENABLE', 'apsessenable');
	
	define('AP_START_TIME', 'apstarttime');
	define('AP_DB_COUNT', 'apdbcount');
	define('AP_WM_COUNT', 'apwmcount');
	define('AP_WM_TIME', 'apwmtime');
	define('AP_USEINFO', 'apuseinfo');
	define('AP_USELOG', 'apuselog');
	define('AP_USEZIP', 'apusezip');
	define('AP_USEOBF', 'apuseobf');
	
	define('AP_GLOBAL_USERFILTER_HREFS', 'apglobaluserfilterhrefs');
	
	define('AP_SESS_INFORMATION', 'apsessinfo');
	define('AP_SESS_INFORMATION_TYPE', 'apsessinfotype');
	
	define('AP_SCR_SWITCHER_TYPE_SELECT', 0);
	define('AP_SCR_SWITCHER_TYPE_TABS', 1);
	
	/* langs */
	
	define('LANG_LOADING', 'Saving ...');
	
	define('LANG_NODOMAINS', 'No domains');
	define('LANG_NOUSERSINDOMAIN', 'No users in this domain');
	define('LANG_RESULTEMPTY', 'The result is empty');
	define('LANG_TOTAL_USERS', 'Total users');
	
	define('CANTGETSCREENNAME', 'Can\'t get screen name from plugin');
	
	define('LOGIN_AUTH_ERROR', 'Wrong login and/or password. Authentication failed.');
	define('LOGIN_SESS_ERROR', 'Previous session was terminated due to a timeout.');
	define('LOGIN_ACCESS_ERROR', 'An attempt of unauthorized access.');
	
	define('AP_NAME', 'Admin Panel');
	define('NOT_CONFIGURED', AP_NAME.' is not configured properly.');
	define('NOT_ENOUGH_DATA', 'Some settings are missing in '.AP_NAME.' config file.');
	define('NOT_ENOUGH_DATA_FOR_LOGIN', 'Some settings required for logging in are missing in '.AP_NAME.' config file.');
	define('NOT_ENOUGH_DATA_PLUGINS', 'No plugins installed for '.AP_NAME);
	define('NOT_ENOUGH_DATA_FILENOTEXIST', 'Path to '.AP_NAME.' data folder is incorrect as file "'.AP_XML_CFG_FILE.'" is not found.');
	define('NOT_ENOUGH_DATA_PATH', AP_NAME.' data folder path should be specified in "'.AP_CFG_FILE.'" config file.');
	
	define('FILE_ERROR_OCCURRED', 'Failed to access "'.AP_XML_CFG_FILE.'" config file.');
	define('LANG_AP_SESSION_ERROR', 'An error with creating/validating session.');