<?php

/*
 * AfterLogic WebMail Pro PHP by AfterLogic Corp. <support@afterlogic.com>
 *
 * Copyright (C) 2002-2009  AfterLogic Corp. (www.afterlogic.com)
 * Distributed under the terms of the proprietary AfterLogic Computer License (LICENSE.txt)
 * 
 */

if (!defined('WM_ROOTPATH')) define('WM_ROOTPATH', (dirname(__FILE__).'/../'));
require_once(WM_ROOTPATH.'common/class_log.php');

class DB
{
	function connect($host, $dblogin, $dbpass, $dbname)
	{
		if (mssql_connect($host, $dblogin, $dbpass))  
		{
			if (!mssql_select_db($dbname))
			{
				die("Could not select database");
			}
			mssql_query('set dateformat ymd');
			return true;
		} else {
			return false;
		}
	}

	function escape($query)
	{
		return str_replace('\'', '\'\'', $query);
	} 

	function execute($query)
	{
		$log =& CLog::CreateInstance();
		$log->WriteLine('calendar MSSQL: '.$query);
		$res = mssql_query($query);
		if ($res === false) die(mssql_get_last_message());
		return $res;
	}

	function executeWithId($query)
	{
		DB::execute($query);
		$id = DB::query("SELECT @@IDENTITY");
		return $id[0]["computed"];
	}

	function query($query)
	{
		$res = DB::execute($query);
		$data = array();
		while (($line = mssql_fetch_assoc($res)) != false)
		{
			$data[] = $line;
		}
		return $data;
	}

	function convert_date($date){
		$res = 'CONVERT(VARCHAR, "'.$date.'", 120)';
		return $res;
	}

	function convert_date_as($date){
		$res = 'CONVERT(VARCHAR, '.$date.', 120) as '.$date;  
		return $res;
	}
}
?>